Debian Bug report logs - #592426
lcalc: new upstream is available

version graph

Package: lcalc; Maintainer for lcalc is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for lcalc is src:lcalc.

Reported by: CJ Fearnley <cjf@CJFearnley.com>

Date: Mon, 9 Aug 2010 23:30:02 UTC

Severity: wishlist

Found in version lcalc/0.0.20080205-1

Fixed in version lcalc/1.23-1

Done: Tobias Hansen <thansen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#592426; Package lcalc. (Mon, 09 Aug 2010 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to CJ Fearnley <cjf@CJFearnley.com>:
New Bug report received and forwarded. Copy sent to Tim Abbott <tabbott@mit.edu>. (Mon, 09 Aug 2010 23:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: CJ Fearnley <cjf@CJFearnley.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lcalc: new upstream is available
Date: Mon, 09 Aug 2010 19:27:58 -0400
Package: lcalc
Version: 0.0.20080205-1
Severity: wishlist


Version 1.23 is available upstream.

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages lcalc depends on:
ii  libc6                     2.7-18lenny4   GNU C Library: Shared libraries
ii  libgcc1                   1:4.3.2-1.1    GCC support library
ii  libgmp3c2                 2:4.2.2+dfsg-3 Multiprecision arithmetic library
ii  libgmpxx4ldbl             2:4.2.2+dfsg-3 Multiprecision arithmetic library 
ii  libmpfr1ldbl              2.3.1.dfsg.1-2 multiple precision floating-point 
ii  libpari2-gmp              2.3.4-1        PARI/GP Computer Algebra System sh
ii  libstdc++6                4.3.2-1.1      The GNU Standard C++ Library v3

lcalc recommends no packages.

lcalc suggests no packages.

-- no debconf information




Reply sent to Tobias Hansen <thansen@debian.org>:
You have taken responsibility. (Sat, 12 Jan 2013 15:06:05 GMT) Full text and rfc822 format available.

Notification sent to CJ Fearnley <cjf@CJFearnley.com>:
Bug acknowledged by developer. (Sat, 12 Jan 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 592426-close@bugs.debian.org (full text, mbox):

From: Tobias Hansen <thansen@debian.org>
To: 592426-close@bugs.debian.org
Subject: Bug#592426: fixed in lcalc 1.23-1
Date: Sat, 12 Jan 2013 15:02:40 +0000
Source: lcalc
Source-Version: 1.23-1

We believe that the bug you reported is fixed in the latest version of
lcalc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592426@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Hansen <thansen@debian.org> (supplier of updated lcalc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 12 Jan 2013 15:30:14 +0100
Source: lcalc
Binary: lcalc
Architecture: source amd64
Version: 1.23-1
Distribution: experimental
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Tobias Hansen <thansen@debian.org>
Description: 
 lcalc      - program for calculating with L-functions
Closes: 592426
Changes: 
 lcalc (1.23-1) experimental; urgency=low
 .
   * New upstream release (Closes: #592426).
   * New maintainer Debian Science Team, uploader me,
     with permission from Tim Abbott.
   * Transition to dh (compat level 9).
   * Enable hardening flags via dpkg-buildflags.
   * Standards-Version 3.9.4
   * Remove unnecessary mpfr and gmp dependencies.
     (Like in Sage, the package is currently built without mpfr.
     It fails to build when mpfr is enabled.)
   * Install the README file.
   * Use copyright format 1.0.
   * Create watch file.
   * debian/patches/gcc.patch:
     debian/patches/pari_2.5.patch:
     - Refresh and add headers.
   * debian/patches/lcalc-const-fixes.patch:
     - Remove: Was mostly applied upstream and the remaining 3 const
       fixes caused FTBFS.
   * debian/patches/Makefile.patch:
     - Add: Mostly a patch from Sage to use $CC, $CXX, $CXXFLAGS
       and $CPPFLAGS properly.
Checksums-Sha1: 
 c7329093f9709e72044ac42004c6aeb12d424af3 1952 lcalc_1.23-1.dsc
 b986249a6a5927ee4a85139fe534332be8e48846 640126 lcalc_1.23.orig.tar.gz
 3e2c36b29dfb8e53c78955a95af76816cd1478c3 6890 lcalc_1.23-1.debian.tar.gz
 622784487f1e9e68a85b5497bf54920d1f1f2448 159264 lcalc_1.23-1_amd64.deb
Checksums-Sha256: 
 ba3de0bf1b97aa5fe42d12b42d73fc8d117e0412412a6aacbd5302fbfacf2cf7 1952 lcalc_1.23-1.dsc
 3d1f47bdb3156c085faab3c4ccaaf68063175d3fba9b4c85adea52d032bcd46a 640126 lcalc_1.23.orig.tar.gz
 df53503800a00122f268b4e33722dc6a64edd8e75bdfbc0b89b01c16945a03ca 6890 lcalc_1.23-1.debian.tar.gz
 bf678c97cf0c55ee9f7cc708aa4aa28d8cc41cf58902bc8d08d90f9c12a45bff 159264 lcalc_1.23-1_amd64.deb
Files: 
 b94a65b265ef756220ee06815d8cb657 1952 math optional lcalc_1.23-1.dsc
 8262d4495e0bbe0283e5341ef8694c23 640126 math optional lcalc_1.23.orig.tar.gz
 fd0c5e2d3075418e47c9579cd7751263 6890 math optional lcalc_1.23-1.debian.tar.gz
 5c638b49281cd80881c6127358948a63 159264 math optional lcalc_1.23-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ8XnAAAoJEIyCFp2Ozs0qs38P/jq/RPmtoY4QY7EYBWTI26nq
zkeTeVK3xR9m+W7pYmRfNzk6NJLS9KuomkHihS3G+Vd8QDCiluBfnIxe6R/z/MuA
kYmJOQ1gHgZueAb386B6FbDV0zdeTgpFyEWU07K6tSMzkl03Ms+Op5J1aHBwqrkl
aWXoIE0Jodq11AUe9WaJdp6Y/FWN5tQTG9/SuqnzkweRsOEtu/EvpPMHXdszL0SQ
dkTAh8hfDpODXPSEuE73mybplo/pOFtbbKtxLsRmkNkAj4n2EzpUz+7YAV0YCxR4
/ib+0EULQBAv347S+rFplgGFlWgHON26d4AP6SUA0E4m/LLJvcPpjpa/wjSYXiUJ
Fx46Ny2ug6+y2riKvvETdrGCBEYO5MYdDx5jNGWDxAV7IwfPFKGBGZjSZjqBSLa2
8f4CEeOngtwSb+k7Kv17t8d8Ghpp0fD/GsfQkM2u1DA5QsJdnJo29k8EkLlij//R
GlIO8jwIyCmIm/xLBFfZpaay38D58VzMgSA62qaPFxBqHibOo8OeSXc9rq0V6nE8
0BOM1/8nkg4hI+8+RWsCAE4UJyxZF8P/C+aI0OYKjbonwGASW277saKAp0Na5N4X
WyB+FQjT79MEjuXaXx8VCjwnKuOe0EHnqCHpAakn6DSnjykEgwblmQxbbyBJf1sU
v/kRph+Mqq3U8D1j0t64
=SsmM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Aug 2013 07:28:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:30:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.